org.bootchart.common

## Class Sample

- java.lang.Object
- - org.bootchart.common.Sample

- Direct Known Subclasses:
    CPUSample, DiskTPutSample, DiskUtilSample, FileOpenSample, ProcessSample

      public class Sample
      extends java.lang.Object

  CPU statistics sample.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Date` | `time` Sample time.
    `protected static java.text.DateFormat` | `TIME_FORMAT` Time format for samples.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sample()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIME_FORMAT

          protected static final java.text.DateFormat TIME_FORMAT

      Time format for samples.

    - #### time

          public java.util.Date time

      Sample time.

  - ### Constructor Detail

    - #### Sample

          public Sample()